Get menu with constraints

The menu endpoint is usable for Enterprise customers and is used to retrieve the menu tree that you can configure in the Makaira backend.

Returns the navigation menu with additional constraint filtering, such as language and shop-specific menus. Accepts constraints in the request body for more complex filtering scenarios.

Request

POST /enterprise/menu

Headers

HeaderValue
Content-Typeapplication/json
X-Makaira-InstanceYour Makaira instance identifier

Request Body

FieldTypeRequiredDescription
constraintsobjectYesQuery constraints including query.shop_id and query.language.

Example Request

{
  "constraints": {
    "query.shop_id": "1",
    "query.language": "de"
  }
}

Response

Returns the navigation menu tree filtered by the given constraints.

Body Params
constraints
object
Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!